<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('employee_change_schedules', function (Blueprint $table) {
            $table->boolean('dayoff')->default(false)->after('to_time');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('employee_change_schedules', function (Blueprint $table) {
            $table->dropColumn('dayoff');
        });
    }
};
